<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Flex sizing | Layout | COMP 523</title>
    <style>

     #wrapper {
         width: 500px;
         border: 1px solid #aaa;
         display: flex;
         flex-direction: row;
     }

     p {
         background-color: #aaf;
         border-radius: 5px;
         border: 1px solid #44f;
         padding: 3px;
         margin: 0;
         flex: 0 0 auto;
     }

     #special {
         flex: 0 0 auto;
     }

    </style>
  </head>
  <body>
    <h1>Flex sizing</h1>

    <div id="wrapper">
      <p>One</p>
      <p id="special">Two</p>
      <p>Threeeeee</p>
    </div>
  </body>
</html>
